# - name: Make directory /etc/ssl/nginx
#   become: yes
#   ansible.builtin.file:
#     path: /etc/ssl/nginx
#     state: directory

# - name: Copy .crt and .key
#   become: yes
#   ansible.builtin.copy:
#     force: true
#     src: files/nginx-repo{{ item }}
#     dest: /etc/ssl/nginx/nginx-repo{{ item }}
#   loop:
#     - ".crt"
#     - ".key"

- name: Copy NGINX artifact
  become: yes
  ansible.builtin.copy:
    force: true
    src: files/{{ nginx_artifact }}
    dest: /{{ nginx_artifact }}


# - name: YUM - Make directory /etc/yum.repos.d/nginx.repo
#   become: yes
#   ansible.builtin.file:
#     path: /etc/yum.repos.d/nginx.repo
#     state: directory
#   when: install_nginx == 'oss' and os == 'redhat'

  
# - name: YUM - Copy nginx.repo
#   become: yes
#   ansible.builtin.copy:
#     force: true
#     src: files/nginx.repo
#     dest: /etc/yum.repos.d/nginx.repo/nginx.repo
#   when: install_nginx == 'oss' and os == 'redhat'

# - name: Configure the NGNIX package repository
#   become: yes
#   ansible.builtin.shell: |
#     rm -f /etc/apt/apt.conf.d/90pkgs-nginx*
#     apt-get -y install apt-transport-https lsb-release ca-certificates wget gnupg2 ubuntu-keyring
#     wget -qO - https://cs.nginx.com/static/keys/nginx_signing.key | gpg --dearmor | sudo tee /usr/share/keyrings/nginx-archive-keyring.gpg >/dev/null
#     wget -qO - https://cs.nginx.com/static/keys/app-protect-security-updates.key | gpg --dearmor | sudo tee /usr/share/keyrings/app-protect-security-updates.gpg >/dev/null
#     printf "deb [signed-by=/usr/share/keyrings/nginx-archive-keyring.gpg] https://pkgs.nginx.com/plus/ubuntu `lsb_release -cs` nginx-plus\n" | sudo tee /etc/apt/sources.list.d/nginx-plus.list
#     #printf "deb [signed-by=/usr/share/keyrings/nginx-archive-keyring.gpg] https://pkgs.nginx.com/app-protect/ubuntu `lsb_release -cs` nginx-plus\n" | sudo tee /etc/apt/sources.list.d/nginx-app-protect.list
#     #printf "deb [signed-by=/usr/share/keyrings/app-protect-security-updates.gpg] https://pkgs.nginx.com/app-protect-security-updates/ubuntu `lsb_release -cs` nginx-plus\n" | sudo tee -a /etc/apt/sources.list.d/nginx-app-protect.list
#     wget -P /etc/apt/apt.conf.d https://cs.nginx.com/static/files/90pkgs-nginx
#     apt-get -y update


# - name: APT - Configure the NGNIX Plus package repository
#   become: yes
#   ansible.builtin.shell: |
#     rm -f /etc/apt/apt.conf.d/90pkgs-nginx*
#     apt-get install -y apt-transport-https lsb-release ca-certificates wget gnupg2 ubuntu-keyring
#     wget -qO - https://cs.nginx.com/static/keys/nginx_signing.key | gpg --dearmor | sudo tee /usr/share/keyrings/nginx-archive-keyring.gpg >/dev/null
#     wget -qO - https://cs.nginx.com/static/keys/app-protect-security-updates.key | gpg --dearmor | sudo tee /usr/share/keyrings/app-protect-security-updates.gpg >/dev/null
#     printf "deb [signed-by=/usr/share/keyrings/nginx-archive-keyring.gpg] https://pkgs.nginx.com/plus/ubuntu `lsb_release -cs` nginx-plus\n" | sudo tee /etc/apt/sources.list.d/nginx-plus.list
#     wget -P /etc/apt/apt.conf.d https://cs.nginx.com/static/files/90pkgs-nginx
#     apt-get update    
#   when: install_nginx == 'plus' and os == 'ubuntu'

# - name: APT - Configure the NGNIX OSS package repository
#   become: yes
#   ansible.builtin.shell: |
#     rm -f /etc/apt/preferences.d/99nginx
#     apt install -y curl gnupg2 ca-certificates lsb-release ubuntu-keyring
#     curl https://nginx.org/keys/nginx_signing.key | gpg --dearmor | tee /usr/share/keyrings/nginx-archive-keyring.gpg >/dev/null
#     echo "deb [signed-by=/usr/share/keyrings/nginx-archive-keyring.gpg] http://nginx.org/packages/mainline/ubuntu `lsb_release -cs` nginx" | sudo tee /etc/apt/sources.list.d/nginx.list
#     apt update
#   when: install_nginx == 'oss' and os == 'ubuntu'
    

# - name: YUM - Install repo packages
#   become: yes
#   ansible.builtin.shell: |
#     yum install -y epel-release yum-utils
#     yum-config-manager --enable nginx-mainline
#     yum -y update    
#   when: os == 'redhat'
    
